{
  "codeName" : "Usr08274089DataViewExpView_DataView",
  "controlType" : "DATAVIEW",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create",
    "actionName" : "Create",
    "actionType" : "DEACTION",
    "dataAccessAction" : "CREATE",
    "name" : "create",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Create"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    }
  },
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM/PSDATAVIEWS/Usr08274089DataViewExpView_DataView.json",
  "getFetchPSControlAction" : {
    "modelref" : true,
    "id" : "fetch",
    "actionType" : "DEDATASET",
    "name" : "fetch",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "FetchDefault"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    }
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load",
    "actionName" : "Get",
    "actionType" : "DEACTION",
    "dataAccessAction" : "READ",
    "name" : "load",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Get"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    }
  },
  "groupMode" : "NONE",
  "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
  "getItemPSLayoutPanel" : {
    "getAllPSPanelFields" : [ {
      "id" : "type",
      "viewFieldName" : "TYPE"
    }, {
      "id" : "pworkitemname",
      "viewFieldName" : "PWORKITEMNAME"
    } ],
    "codeName" : "Usr0827818918",
    "controlType" : "PANEL",
    "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM/PSPANELS/Usr0827818918.json",
    "layoutMode" : "TABLE_24COL",
    "logicName" : "卡片导航测试_卡片视图_卡片面板",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "childColMD" : 24,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "getRootPSPanelItems" : [ {
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "page_container",
      "getPSLayout" : {
        "dir" : "column",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSPanelItems" : [ {
        "caption" : "文本(动态)",
        "itemStyle" : "DEFAULT",
        "itemType" : "FIELD",
        "name" : "type",
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "type",
          "predefinedType" : "FIELD_TEXT_DYNAMIC",
          "renderMode" : "TEXT_DYNAMIC",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "viewFieldName" : "TYPE"
      }, {
        "caption" : "文本(动态)",
        "itemStyle" : "DEFAULT",
        "itemType" : "FIELD",
        "name" : "pworkitemname",
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "pworkitemname",
          "predefinedType" : "FIELD_TEXT_DYNAMIC",
          "renderMode" : "TEXT_DYNAMIC",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "viewFieldName" : "PWORKITEMNAME"
      } ]
    } ],
    "name" : "itemlayoutpanel",
    "modelid" : "9A03307A-0C30-45C7-BEB7-681C70C2FD88",
    "modeltype" : "PSSYSVIEWPANEL"
  },
  "logicName" : "卡片导航测试_卡片视图",
  "getMovePSControlAction" : {
    "modelref" : true,
    "id" : "move",
    "actionName" : "Move",
    "actionType" : "DEACTION",
    "name" : "move",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Move"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    }
  },
  "getNavPSAppView" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/WORKITEMGridView.json",
    "viewType" : "DEGRIDVIEW"
  },
  "getNavPSDER" : {
    "codeName" : "WORKITEM",
    "dERType" : "DER1N",
    "dynaModelFilePath" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM/PSDERS/DER1N_WORKITEM_WORKITEM_PWORKITEMID.json",
    "fKeyName" : "F4AFCBB73015D37081",
    "logicName" : "名称",
    "getMajorPSDataEntity" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM.json"
    },
    "masterOrder" : -1,
    "masterRS" : 0,
    "minorCodeName" : "WORKITEMs",
    "getMinorPSDataEntity" : {
      "modelref" : true,
      "path" : "PSMODULES/Test/PSDATAENTITIES/WORKITEM.json"
    },
    "minorServiceCodeName" : "WORKITEMs",
    "name" : "DER1N_WORKITEM_WORKITEM_PWORKITEMID",
    "orderValue" : 100,
    "getPSPickupDEField" : {
      "name" : "PWORKITEMID",
      "codeName" : "Pworkitemid"
    },
    "getPSPickupTextDEField" : {
      "name" : "PWORKITEMNAME",
      "codeName" : "Pworkitemname"
    },
    "pickupDEFName" : "PWORKITEMID",
    "removeActionType" : -1,
    "removeOrder" : 0,
    "serviceCodeName" : "WORKITEM",
    "enableFKey" : true
  },
  "getOrderValuePSAppDEField" : {
    "name" : "PX",
    "codeName" : "PX"
  },
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
  },
  "getPSControlLogics" : [ {
    "eventNames" : "SELECTIONCHANGE",
    "logicTag" : "dataviewexpbar_dataview",
    "logicType" : "CUSTOM",
    "name" : "dataviewexpbar_selectionchange"
  }, {
    "eventNames" : "LOAD",
    "logicTag" : "dataviewexpbar_dataview",
    "logicType" : "CUSTOM",
    "name" : "dataviewexpbar_load"
  } ],
  "getPSDEDataViewDataItems" : [ {
    "dataType" : 25,
    "getFrontPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__WorkItemType.json"
    },
    "name" : "type",
    "getPSAppDEField" : {
      "name" : "TYPE",
      "codeName" : "TYPE"
    }
  }, {
    "dataType" : 25,
    "name" : "pworkitemname",
    "getPSAppDEField" : {
      "name" : "PWORKITEMNAME",
      "codeName" : "Pworkitemname"
    }
  }, {
    "dataType" : 25,
    "name" : "srfkey",
    "getPSAppDEField" : {
      "name" : "WORKITEMID",
      "codeName" : "WORKITEMId"
    }
  }, {
    "dataType" : 25,
    "name" : "srfmajortext",
    "getPSAppDEField" : {
      "name" : "WORKITEMNAME",
      "codeName" : "WORKITEMName"
    }
  }, {
    "dataType" : 25,
    "name" : "pworkitemid",
    "getPSAppDEField" : {
      "name" : "PWORKITEMID",
      "codeName" : "Pworkitemid"
    }
  } ],
  "getPSDEDataViewItems" : [ {
    "cLConvertMode" : "FRONT",
    "caption" : "类型",
    "dataItemName" : "type",
    "itemType" : "DATAITEM",
    "name" : "TYPE",
    "getPSAppDEField" : {
      "name" : "TYPE",
      "codeName" : "TYPE"
    },
    "getPSCodeList" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__WorkItemType.json"
    },
    "enableSort" : true
  }, {
    "caption" : "工作项名称",
    "dataItemName" : "pworkitemname",
    "itemType" : "DATAITEM",
    "name" : "PWORKITEMNAME",
    "getPSAppDEField" : {
      "name" : "PWORKITEMNAME",
      "codeName" : "Pworkitemname"
    },
    "enableSort" : true
  } ],
  "pagingSize" : 1000,
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove",
    "actionName" : "Remove",
    "actionType" : "DEACTION",
    "dataAccessAction" : "DELETE",
    "name" : "remove",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Remove"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    }
  },
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update",
    "actionName" : "Update",
    "actionType" : "DEACTION",
    "dataAccessAction" : "UPDATE",
    "name" : "update",
    "getPSAppDEMethod" : {
      "modelref" : true,
      "id" : "Update"
    },
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/WORKITEM.json"
    }
  },
  "hasWFDataItems" : false,
  "appendDEItems" : true,
  "enableCardEdit" : false,
  "enableCardEditGroup" : false,
  "enableCardEditOrder" : false,
  "enableCardNew" : false,
  "enableGroup" : false,
  "enablePagingBar" : false,
  "noSort" : false,
  "singleSelect" : false,
  "modelid" : "D1C514CB-CBCE-4E5B-B12D-C24D9F90A881",
  "modeltype" : "PSDEDATAVIEW"
}